% 
%  SeisSound_driver
%
%  Purpose: Feed requiested data, station (more than one station can be specified), 
%           chan information into SeisSound_main
%
clear
fid1 = fopen('filename.dat','r');
basedir = ['../SeisSound_data_products'];
string_mkdir = ['mkdir ',basedir];
if ~exist(basedir,'dir')
   system([string_mkdir]);
end;
if ~exist([basedir,'/Audio'],'dir')
   system([string_mkdir '/Audio']);
end;
if ~exist([basedir,'/Images'],'dir')
   system([string_mkdir '/Images']);
end;
if ~exist([basedir,'/Movies'],'dir')
   system([string_mkdir '/Movies']);
end;
if ~exist([basedir,'/Events'],'dir')
   system([string_mkdir '/Events']);
end

fid_status = fopen([basedir,'/status_report.dat'],'a');

while 1
   fname = fgetl(fid1);
   if ~ischar(fname), break, end
   %sta_favs = ['PKD ';'AAK '];
   sta_favs = ['DGAR '];

   chan = 'BHZ';
   net = []; % seismic network
   movie_height = 720; % movie height in pixels

   for kk= 1:size(sta_favs,1)
       disp(fname)
       disp(sta_favs(kk,:))
       disp(net)
       disp(movie_height)
      [status_SeisSound] = SeisSound_main(fname,sta_favs(kk,:),chan,net,movie_height,basedir);
      status_out = ['Status_SeisSound =',num2str(status_SeisSound),' ',fname,' ',sta_favs(kk,:),' ',chan];
      disp(status_out)
      fprintf(fid_status,'%s\n',status_out);
   end
end
fclose(fid1);
fclose(fid_status);
